function reply = rn2483_cmd(handle, command, timeout)

if nargin == 2
    timeout = 1;
end

if handle.BytesAvailable && ~isempty(command)
    error('there is an unprocessed reponse -> aborting');
end

timeout_current = handle.Timeout;
handle.Timeout = timeout;

if ~isempty(command)
    fprintf(handle, command);
end

try
    reply = fgetl(handle);
catch
    handle.Timeout = timeout_current;
    error('timeout occured');
end

handle.Timeout = timeout_current;



